com.amazonaws.services.elastictranscoder

## Class AbstractAmazonElasticTranscoder

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.AbstractAmazonElasticTranscoder

All Implemented Interfaces:
  AmazonElasticTranscoder

Direct Known Subclasses:
  AbstractAmazonElasticTranscoderAsync

    public class AbstractAmazonElasticTranscoder
    extends Object
    implements AmazonElasticTranscoder

Abstract implementation of `AmazonElasticTranscoder`. Convenient method forms pass through to the corresponding overload that takes a request object, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.elastictranscoder.AmazonElasticTranscoder

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAmazonElasticTranscoder()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`CancelJobResult` `cancelJob(CancelJobRequest request)` The CancelJob operation cancels an unfinished job.
`CreateJobResult` `createJob(CreateJobRequest request)` When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.
`CreatePipelineResult` `createPipeline(CreatePipelineRequest request)` The CreatePipeline operation creates a pipeline with settings that you specify.
`CreatePresetResult` `createPreset(CreatePresetRequest request)` The CreatePreset operation creates a preset with settings that you specify.
`DeletePipelineResult` `deletePipeline(DeletePipelineRequest request)` The DeletePipeline operation removes a pipeline.
`DeletePresetResult` `deletePreset(DeletePresetRequest request)` The DeletePreset operation removes a preset that you've added in an AWS region.
`ResponseMetadata` `getCachedResponseMetadata(AmazonWebServiceRequest request)` Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected.
`ListJobsByPipelineResult` `listJobsByPipeline(ListJobsByPipelineRequest request)` The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.
`ListJobsByStatusResult` `listJobsByStatus(ListJobsByStatusRequest request)` The ListJobsByStatus operation gets a list of jobs that have a specified status.
`ListPipelinesResult` `listPipelines()` Simplified method form for invoking the ListPipelines operation.
`ListPipelinesResult` `listPipelines(ListPipelinesRequest request)` The ListPipelines operation gets a list of the pipelines associated with the current AWS account.
`ListPresetsResult` `listPresets()` Simplified method form for invoking the ListPresets operation.
`ListPresetsResult` `listPresets(ListPresetsRequest request)` The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.
`ReadJobResult` `readJob(ReadJobRequest request)` The ReadJob operation returns detailed information about a job.
`ReadPipelineResult` `readPipeline(ReadPipelineRequest request)` The ReadPipeline operation gets detailed information about a pipeline.
`ReadPresetResult` `readPreset(ReadPresetRequest request)` The ReadPreset operation gets detailed information about a preset.
`void` `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("elastictranscoder.us-east-1.amazonaws.com/").
`void` `setRegion(Region region)` An alternative to `AmazonElasticTranscoder.setEndpoint(String)`, sets the regional endpoint for this client's service calls.
`void` `shutdown()` Shuts down this client object, releasing any resources that might be held open.
`TestRoleResult` `testRole(TestRoleRequest request)` Deprecated.
`UpdatePipelineResult` `updatePipeline(UpdatePipelineRequest request)` Use the `UpdatePipeline` operation to update settings for a pipeline.
`UpdatePipelineNotificationsResult` `updatePipelineNotifications(UpdatePipelineNotificationsRequest request)` With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.
`UpdatePipelineStatusResult` `updatePipelineStatus(UpdatePipelineStatusRequest request)` The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.
`AmazonElasticTranscoderWaiters` `waiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAmazonElasticTranscoder

    protected AbstractAmazonElasticTranscoder()

### Method Detail

#### setEndpoint

    public void setEndpoint(String endpoint)

Description copied from interface: `AmazonElasticTranscoder`
Overrides the default endpoint for this client ("elastictranscoder.us-east-1.amazonaws.com/"). Callers can use this method to control which AWS region they want to work with.

Callers can pass in just the endpoint (ex: "elastictranscoder.us-east-1.amazonaws.com/") or a full URL, including the protocol (ex: "elastictranscoder.us-east-1.amazonaws.com/"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

This method is not threadsafe. An endpoint should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setEndpoint` in interface `AmazonElasticTranscoder`
Parameters:
  `endpoint` - The endpoint (ex: "elastictranscoder.us-east-1.amazonaws.com/") or a full URL, including the protocol (ex: "elastictranscoder.us-east-1.amazonaws.com/") of the region specific AWS endpoint this client will communicate with.

#### setRegion

    public void setRegion(Region region)

Description copied from interface: `AmazonElasticTranscoder`
An alternative to `AmazonElasticTranscoder.setEndpoint(String)`, sets the regional endpoint for this client's service calls. Callers can use this method to control which AWS region they want to work with.

By default, all service endpoints in all regions use the https protocol. To use http instead, specify it in the `ClientConfiguration` supplied at construction.

This method is not threadsafe. A region should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setRegion` in interface `AmazonElasticTranscoder`
Parameters:
  `region` - The region this client will communicate with. See `Region.getRegion(com.amazonaws.regions.Regions)` for accessing a given region. Must not be null and must be a region where the service is available.
See Also:
  `Region.getRegion(com.amazonaws.regions.Regions)`, `Region.createClient(Class, com.amazonaws.auth.AWSCredentialsProvider, ClientConfiguration)`, `Region.isServiceSupported(String)`

#### cancelJob

    public CancelJobResult cancelJob(CancelJobRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The CancelJob operation cancels an unfinished job.

<note>

You can only cancel a job that has a status of `Submitted`. To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.

</note>

Specified by:
  `cancelJob` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `CancelJobRequest` structure.
Returns:
  Result of the CancelJob operation returned by the service.

#### createJob

    public CreateJobResult createJob(CreateJobRequest request)

Description copied from interface: `AmazonElasticTranscoder`

When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.

If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).

Specified by:
  `createJob` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `CreateJobRequest` structure.
Returns:
  Result of the CreateJob operation returned by the service.

#### createPipeline

    public CreatePipelineResult createPipeline(CreatePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The CreatePipeline operation creates a pipeline with settings that you specify.

Specified by:
  `createPipeline` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `CreatePipelineRequest` structure.
Returns:
  Result of the CreatePipeline operation returned by the service.

#### createPreset

    public CreatePresetResult createPreset(CreatePresetRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The CreatePreset operation creates a preset with settings that you specify.

<important>

Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response (`ValidationException`) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces.

</important>

Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.

Specified by:
  `createPreset` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `CreatePresetRequest` structure.
Returns:
  Result of the CreatePreset operation returned by the service.

#### deletePipeline

    public DeletePipelineResult deletePipeline(DeletePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The DeletePipeline operation removes a pipeline.

You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, `DeletePipeline` returns an error.

Specified by:
  `deletePipeline` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `DeletePipelineRequest` structure.
Returns:
  Result of the DeletePipeline operation returned by the service.

#### deletePreset

    public DeletePresetResult deletePreset(DeletePresetRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The DeletePreset operation removes a preset that you've added in an AWS region.

<note>

You can't delete the default presets that are included with Elastic Transcoder.

</note>

Specified by:
  `deletePreset` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `DeletePresetRequest` structure.
Returns:
  Result of the DeletePreset operation returned by the service.

#### listJobsByPipeline

    public ListJobsByPipelineResult listJobsByPipeline(ListJobsByPipelineRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.

Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByPipeline` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ListJobsByPipelineRequest` structure.
Returns:
  Result of the ListJobsByPipeline operation returned by the service.

#### listJobsByStatus

    public ListJobsByStatusResult listJobsByStatus(ListJobsByStatusRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByStatus` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ListJobsByStatusRequest` structure.
Returns:
  Result of the ListJobsByStatus operation returned by the service.

#### listPipelines

    public ListPipelinesResult listPipelines(ListPipelinesRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ListPipelines operation gets a list of the pipelines associated with the current AWS account.

Specified by:
  `listPipelines` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ListPipelineRequest` structure.
Returns:
  Result of the ListPipelines operation returned by the service.

#### listPipelines

    public ListPipelinesResult listPipelines()

Description copied from interface: `AmazonElasticTranscoder`
Simplified method form for invoking the ListPipelines operation.

Specified by:
  `listPipelines` in interface `AmazonElasticTranscoder`
See Also:
  `AmazonElasticTranscoder.listPipelines(ListPipelinesRequest)`

#### listPresets

    public ListPresetsResult listPresets(ListPresetsRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.

Specified by:
  `listPresets` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ListPresetsRequest` structure.
Returns:
  Result of the ListPresets operation returned by the service.

#### listPresets

    public ListPresetsResult listPresets()

Description copied from interface: `AmazonElasticTranscoder`
Simplified method form for invoking the ListPresets operation.

Specified by:
  `listPresets` in interface `AmazonElasticTranscoder`
See Also:
  `AmazonElasticTranscoder.listPresets(ListPresetsRequest)`

#### readJob

    public ReadJobResult readJob(ReadJobRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ReadJob operation returns detailed information about a job.

Specified by:
  `readJob` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ReadJobRequest` structure.
Returns:
  Result of the ReadJob operation returned by the service.

#### readPipeline

    public ReadPipelineResult readPipeline(ReadPipelineRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ReadPipeline operation gets detailed information about a pipeline.

Specified by:
  `readPipeline` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ReadPipelineRequest` structure.
Returns:
  Result of the ReadPipeline operation returned by the service.

#### readPreset

    public ReadPresetResult readPreset(ReadPresetRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The ReadPreset operation gets detailed information about a preset.

Specified by:
  `readPreset` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `ReadPresetRequest` structure.
Returns:
  Result of the ReadPreset operation returned by the service.

#### testRole

    @Deprecated
    public TestRoleResult testRole(TestRoleRequest request)

Deprecated.
Description copied from interface: `AmazonElasticTranscoder`

The TestRole operation tests the IAM role used to create the pipeline.

The `TestRole` action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.

Specified by:
  `testRole` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `TestRoleRequest` structure.
Returns:
  Result of the TestRole operation returned by the service.

#### updatePipeline

    public UpdatePipelineResult updatePipeline(UpdatePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoder`

Use the `UpdatePipeline` operation to update settings for a pipeline.

<important>

When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.

</important>

Specified by:
  `updatePipeline` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `UpdatePipelineRequest` structure.
Returns:
  Result of the UpdatePipeline operation returned by the service.

#### updatePipelineNotifications

    public UpdatePipelineNotificationsResult updatePipelineNotifications(UpdatePipelineNotificationsRequest request)

Description copied from interface: `AmazonElasticTranscoder`

With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.

When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.

Specified by:
  `updatePipelineNotifications` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `UpdatePipelineNotificationsRequest` structure.
Returns:
  Result of the UpdatePipelineNotifications operation returned by the service.

#### updatePipelineStatus

    public UpdatePipelineStatusResult updatePipelineStatus(UpdatePipelineStatusRequest request)

Description copied from interface: `AmazonElasticTranscoder`

The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.

Specified by:
  `updatePipelineStatus` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The `UpdatePipelineStatusRequest` structure.
Returns:
  Result of the UpdatePipelineStatus operation returned by the service.

#### shutdown

    public void shutdown()

Description copied from interface: `AmazonElasticTranscoder`
Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Specified by:
  `shutdown` in interface `AmazonElasticTranscoder`

#### getCachedResponseMetadata

    public ResponseMetadata getCachedResponseMetadata(AmazonWebServiceRequest request)

Description copied from interface: `AmazonElasticTranscoder`
Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected. This data isn't considered part of the result data returned by an operation, so it's available through this separate, diagnostic interface.

Response metadata is only cached for a limited period of time, so if you need to access this extra diagnostic information for an executed request, you should use this method to retrieve it as soon as possible after executing a request.

Specified by:
  `getCachedResponseMetadata` in interface `AmazonElasticTranscoder`
Parameters:
  `request` - The originally executed request.
Returns:
  The response metadata for the specified request, or null if none is available.

#### waiters

    public AmazonElasticTranscoderWaiters waiters()

Specified by:
  `waiters` in interface `AmazonElasticTranscoder`